# 🛠️ PDF Generation API

Welcome to the Emailflow API documentation! With our API, you can easily automate sending transactional emails and generating PDFs. This guide will cover everything you need to know to get started.

### Base URL

All URLs referenced in the API documentation have the following base URL:

<https://api.emailflow.so/v1>

### Authentication

To authenticate your API requests, you need to include a `Bearer Token` in your HTTP headers. The API key should be prefixed by the word `Bearer` followed by a space.

```
Authorization: Bearer API_KEY
```

> **Note**: Replace `API_KEY` with your actual API key.

***

## Generating PDFs

<mark style="color:green;">`POST`</mark> `https://api.emailflow.so/v1/pdfgen`

Generates a PDF from a PDF template and returns the generated PDF URL.

#### Headers

| Name                                            | Type            | Description |
| ----------------------------------------------- | --------------- | ----------- |
| Authorization<mark style="color:red;">\*</mark> | Bearer API\_KEY |             |

#### Request Body

| Name                                         | Type   | Description |
| -------------------------------------------- | ------ | ----------- |
| templateId<mark style="color:red;">\*</mark> | String |             |
| params                                       | JSON   |             |

{% tabs %}
{% tab title="200: OK { "url": "GENERATED\_URL"}" %}

{% endtab %}

{% tab title="400: Bad Request { "error": "ERROR\_MSG" }" %}

{% endtab %}
{% endtabs %}

#### Endpoint

```
POST /pdfgen
```

#### Request Body Parameters

| Parameter    | Type   | Description                       |
| ------------ | ------ | --------------------------------- |
| `templateId` | string | The ID of the PDF template.       |
| `params`     | object | Any additional parameters needed. |

#### Response

Upon successful request, you will receive:

```json
{
  "url": "URL to your generated PDF"
}
```

Upon failure:

```json
{
  "error": "Error message here."
}
```

***

### Examples

We'll be adding example requests and additional guidelines soon. Stay tuned!

Thank you for using Emailflow!
